Bug 1169160 - apache-commons-javaflow has ant dependencies when they should be in the apache-commons-javaflow-ant subpackage
Summary: apache-commons-javaflow has ant dependencies when they should be in the apach...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-commons-javaflow
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-11-30 21:26 UTC by Peter Robinson
Modified: 2014-12-12 04:29 UTC (History)
2 users (show)

Fixed In Version: apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 04:29:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2014-11-30 21:26:23 UTC
When you install apache-commons-javaflow it pulls in ant as a dependency when the ant components should be in the -ant subpackage

$ yum list apache-commons-javaflow*
Loaded plugins: auto-update-debuginfo, langpacks
Available Packages
apache-commons-javaflow.noarch           1.0-0.7.20120509SNAPSHOT.fc21  fedora
apache-commons-javaflow-ant.noarch       1.0-0.7.20120509SNAPSHOT.fc21  fedora
apache-commons-javaflow-javadoc.noarch   1.0-0.7.20120509SNAPSHOT.fc21  fedora

$ yum install apache-commons-javaflow
Resolving Dependencies
--> Running transaction check
---> Package apache-commons-javaflow.noarch 0:1.0-0.7.20120509SNAPSHOT.fc21 will be installed
--> Processing Dependency: mvn(org.apache.commons:commons-jci-core) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(org.apache.bcel:bcel) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(org.apache.ant:ant) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(commons-io:commons-io) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(asm:asm-util) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(asm:asm-tree) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(asm:asm-commons) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(asm:asm-analysis) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Processing Dependency: mvn(asm:asm) for package: apache-commons-javaflow-1.0-0.7.20120509SNAPSHOT.fc21.noarch
--> Running transaction check
---> Package ant.noarch 0:1.9.4-3.fc21 will be installed
--> Processing Dependency: java-devel >= 1:1.8.0 for package: ant-1.9.4-3.fc21.noarch
--> Processing Dependency: xml-commons-apis for package: ant-1.9.4-3.fc21.noarch
--> Processing Dependency: xerces-j2 for package: ant-1.9.4-3.fc21.noarch
---> Package apache-commons-io.noarch 1:2.4-12.fc21 will be installed
---> Package apache-commons-jci-core.noarch 0:1.0-13.fc21 will be installed
--> Processing Dependency: mvn(org.apache.commons:commons-jci-fam) = 1.0 for package: apache-commons-jci-core-1.0-13.fc21.noarch
---> Package bcel.noarch 0:6.0-0.2.20140406svn1592769.fc21 will be installed
--> Processing Dependency: mvn(regexp:regexp) for package: bcel-6.0-0.2.20140406svn1592769.fc21.noarch
---> Package objectweb-asm3.noarch 0:3.3.1-10.fc21 will be installed
--> Running transaction check
---> Package apache-commons-jci-fam.noarch 0:1.0-13.fc21 will be installed
---> Package java-1.8.0-openjdk-devel.armv7hl 1:1.8.0.25-4.b18.fc21 will be installed
--> Processing Dependency: java-1.8.0-openjdk = 1:1.8.0.25-4.b18.fc21 for package: 1:java-1.8.0-openjdk-devel-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libawt_xawt.so(SUNWprivate_1.1) for package: 1:java-1.8.0-openjdk-devel-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libawt_xawt.so for package: 1:java-1.8.0-openjdk-devel-1.8.0.25-4.b18.fc21.armv7hl
---> Package regexp.noarch 1:1.5-18.fc21 will be installed
---> Package xerces-j2.noarch 0:2.11.0-22.fc21 will be installed
--> Processing Dependency: xml-commons-resolver >= 1.2 for package: xerces-j2-2.11.0-22.fc21.noarch
--> Processing Dependency: xalan-j2 >= 2.7.1 for package: xerces-j2-2.11.0-22.fc21.noarch
--> Processing Dependency: osgi(org.apache.xml.serializer) for package: xerces-j2-2.11.0-22.fc21.noarch
--> Processing Dependency: osgi(org.apache.xml.resolver) for package: xerces-j2-2.11.0-22.fc21.noarch
---> Package xml-commons-apis.noarch 0:1.4.01-18.fc21 will be installed
--> Running transaction check
---> Package java-1.8.0-openjdk.armv7hl 1:1.8.0.25-4.b18.fc21 will be installed
--> Processing Dependency: xorg-x11-fonts-Type1 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libgif.so.4 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libasound.so.2 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXtst.so.6 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXrender.so.1 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXi.so.6 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXext.so.6 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: fontconfig for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
---> Package xalan-j2.noarch 0:2.7.1-23.fc21 will be installed
---> Package xml-commons-resolver.noarch 0:1.2-17.fc21 will be installed
--> Running transaction check
---> Package alsa-lib.armv7hl 0:1.0.28-2.fc21 will be installed
---> Package fontconfig.armv7hl 0:2.11.1-5.fc21 will be installed
--> Processing Dependency: fontpackages-filesystem for package: fontconfig-2.11.1-5.fc21.armv7hl
--> Processing Dependency: font(:lang=en) for package: fontconfig-2.11.1-5.fc21.armv7hl
---> Package giflib.armv7hl 0:4.1.6-12.fc21 will be installed
--> Processing Dependency: libSM.so.6 for package: giflib-4.1.6-12.fc21.armv7hl
--> Processing Dependency: libICE.so.6 for package: giflib-4.1.6-12.fc21.armv7hl
---> Package libXext.armv7hl 0:1.3.3-2.fc21 will be installed
---> Package libXi.armv7hl 0:1.7.4-2.fc21 will be installed
---> Package libXrender.armv7hl 0:0.9.8-4.fc21 will be installed
---> Package libXtst.armv7hl 0:1.2.2-4.fc21 will be installed
---> Package xorg-x11-fonts-Type1.noarch 0:7.5-14.fc21 will be installed
--> Processing Dependency: ttmkfdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Processing Dependency: ttmkfdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Running transaction check
---> Package fontpackages-filesystem.noarch 0:1.44-10.fc21 will be installed
---> Package libICE.armv7hl 0:1.0.9-2.fc21 will be installed
---> Package libSM.armv7hl 0:1.2.2-2.fc21 will be installed
---> Package lyx-fonts.noarch 0:2.1.2-1.fc21 will be installed
---> Package ttmkfdir.armv7hl 0:3.0.9-44.fc21 will be installed
---> Package xorg-x11-font-utils.armv7hl 1:7.5-25.fc21 will be installed
--> Processing Dependency: libfontenc.so.1 for package: 1:xorg-x11-font-utils-7.5-25.fc21.armv7hl
--> Processing Dependency: libXfont.so.1 for package: 1:xorg-x11-font-utils-7.5-25.fc21.armv7hl
--> Running transaction check
---> Package libXfont.armv7hl 0:1.5.0-2.fc21 will be installed
---> Package libfontenc.armv7hl 0:1.1.2-3.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================
 Package                    Arch     Version                     Repository     Size
=====================================================================================
Installing:
 apache-commons-javaflow    noarch   1.0-0.7.20120509SNAPSHOT.fc21    fedora    96 k
Installing for dependencies:
 alsa-lib                   armv7hl  1.0.28-2.fc21                    fedora   340 k
 ant                        noarch   1.9.4-3.fc21                     fedora   2.0 M
 apache-commons-io          noarch   1:2.4-12.fc21                    fedora   180 k
 apache-commons-jci-core    noarch   1.0-13.fc21                      fedora    32 k
 apache-commons-jci-fam     noarch   1.0-13.fc21                      fedora    23 k
 bcel                       noarch   6.0-0.2.20140406svn1592769.fc21  fedora   559 k
 fontconfig                 armv7hl  2.11.1-5.fc21                    fedora   221 k
 fontpackages-filesystem    noarch   1.44-10.fc21                     fedora    10 k
 giflib                     armv7hl  4.1.6-12.fc21                    fedora    42 k
 java-1.8.0-openjdk         armv7hl  1:1.8.0.25-4.b18.fc21            fedora   190 k
 java-1.8.0-openjdk-devel   armv7hl  1:1.8.0.25-4.b18.fc21            fedora   7.3 M
 libICE                     armv7hl  1.0.9-2.fc21                     fedora    64 k
 libSM                      armv7hl  1.2.2-2.fc21                     fedora    42 k
 libXext                    armv7hl  1.3.3-2.fc21                     fedora    38 k
 libXfont                   armv7hl  1.5.0-2.fc21                     fedora   141 k
 libXi                      armv7hl  1.7.4-2.fc21                     fedora    40 k
 libXrender                 armv7hl  0.9.8-4.fc21                     fedora    27 k
 libXtst                    armv7hl  1.2.2-4.fc21                     fedora    23 k
 libfontenc                 armv7hl  1.1.2-3.fc21                     fedora    33 k
 lyx-fonts                  noarch   2.1.2-1.fc21                     fedora   170 k
 objectweb-asm3             noarch   3.3.1-10.fc21                    fedora   390 k
 regexp                     noarch   1:1.5-18.fc21                    fedora    51 k
 ttmkfdir                   armv7hl  3.0.9-44.fc21                    fedora    48 k
 xalan-j2                   noarch   2.7.1-23.fc21                    fedora   1.9 M
 xerces-j2                  noarch   2.11.0-22.fc21                   fedora   1.2 M
 xml-commons-apis           noarch   1.4.01-18.fc21                   fedora   228 k
 xml-commons-resolver       noarch   1.2-17.fc21                      fedora   110 k
 xorg-x11-font-utils        armv7hl  1:7.5-25.fc21                    fedora    83 k
 xorg-x11-fonts-Type1       noarch   7.5-14.fc21                      fedora   522 k

Transaction Summary
=====================================================================================
Install  1 Package (+29 Dependent packages)

Total download size: 16 M
Installed size: 48 M
Is this ok [y/d/N]: n

Comment 1 gil cattaneo 2014-11-30 22:12:49 UTC
This bug should be fixed in apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT,
which is available in Fedora Rawhide, so i close this bug now.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8266291

Comment 2 Peter Robinson 2014-11-30 22:18:34 UTC
Can you push it to F-21 and submit it as an update please

Comment 3 Fedora Update System 2014-11-30 22:36:15 UTC
apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21

Comment 4 Fedora Update System 2014-12-02 01:03:32 UTC
Package apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16064/apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-12-12 04:29:23 UTC
apache-commons-javaflow-1.0-0.8.20120509SNAPSHOT.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.